Issue 19538

Summary: Make hierarchical style view a toggle button, not a list choice
Product: Writer Reporter: anthonymerhi <anthony.merhi>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P5 (lowest) CC: gercokees, issues
Version: OOo 1.1 RC3   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description anthonymerhi 2003-09-13 18:12:54 UTC
The Stylist currently provides a nice hierarchical view of styles, but only for
all styles (which is a large number of styles). It would be great to be able to
see the hierarchical view of only specific subsets of styles (e.g., applied,
custom, etc.).  For example, I would love to be able to see, hierarchically,
which styles are currently applied in a particular document because they might
be the only ones that Im interested in at a particular moment.

Philosophically, I think that the Stylist drop-down list (at the bottom of the
Stylist) contains two related but distinct GUI concepts: it contains not only a
style filtering concept to limit the styles displayed in the Stylist (applied,
custom, etc.), but also a style viewing format concept to determine how the
filtered styles are to be displayed in the Stylist (i.e., list, tree).  The
concepts are very related, but I feel that they are distinct and should be
separated.  At the moment, both concepts are contained in the one drop-down
list, which makes it inflexible.  If these concepts were separated into their
own distinct GUI controls, the user could choose very flexibly which styles the
Stylist is to display, and, separately and independently, how the Stylist is to
display them (e.g., list, tree).  This flexible filtering and formatting
approach would enable the user to zoom in very quickly on only the styles
currently of interest, and to view them in best way for the job at hand.

Possible approach:

Remove the Hierachical choice from the Stylist drop-down box, and move the
Hierarchical choice to a new on/off toggle button on the Stylist toolbar at the
top (near the Paragraph Styles button, the Character Styles button, etc.).

Optionally (I say optionally because Im not fully certain about the following
suggestion), change the drop-down list to support new list entries at the end of
the existing list, containing check-box list-entries so that the user can select
not only individual styles categories (as is possible now, e.g., applied,
custom, etc.) but also combinations of categories (e.g., applied plus custom).

I believe that this approach would separate filtering from viewing, and would
provide much more flexibility for the Stylist.
Comment 1 mci 2003-12-11 18:18:49 UTC
reassigned to bh
Comment 2 maison.godard 2004-01-25 14:00:42 UTC
Hi

<Quote>
Possible approach:
Remove the Hierachical choice from the Stylist drop-down box, and move the
Hierarchical choice to a new on/off toggle button on the Stylist toolbar at the
top (near the Paragraph Styles button, the Character Styles button, etc.).
</Quote>

I aggree
But is should be possible to combine this on/off hierachical presentation with 
Paragraph, Character Styles ... aso

Laurent
Comment 3 lohmaier 2006-07-12 21:03:07 UTC
*** Issue 66882 has been marked as a duplicate of this issue. ***
Comment 4 gercokees 2006-08-31 14:49:13 UTC
Because of duplicate this should be confirmed
Comment 5 bettina.haberer 2010-05-21 15:11:37 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".